Package nl.tudelft.simulation.dsol.tutorial.section42

## Class Customer

- java.lang.Object
- - nl.tudelft.simulation.dsol.tutorial.section42.Customer

All Implemented Interfaces:
  `BuyerInterface`

    public class Customer
    extends Object
    implements BuyerInterface

A Customer.

Copyright (c) 2002-2022 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information https://simulation.tudelft.nl. The DSOL project is distributed under a three-clause BSD-style license, which can be found at https://simulation.tudelft.nl/dsol/3.0/license.html.

Author:
  Peter Jacobs

### Constructor Summary

Constructors
`Customer​(DEVSSimulatorInterface.TimeDouble simulator, SellerInterface retailer)` constructs a new Customer.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `receiveProduct​(long amount)` receive the ordered Product.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Customer

    public Customer​(DEVSSimulatorInterface.TimeDouble simulator,
                    SellerInterface retailer)

constructs a new Customer.

Parameters:
  `simulator` - DEVSSimulatorInterface.TimeDouble; the simulator to schedule on
  `retailer` - SellerInterface; the retailer to buy at. In more advanced examples, we would look up this retailer at a yellow page.

### Method Detail

#### receiveProduct

    public void receiveProduct​(long amount)

receive the ordered Product.

Specified by:
  `receiveProduct` in interface `BuyerInterface`
Parameters:
  `amount` - long; the amount to receive